### Hierarchy

- Source
  - VectorSource
  - RasterSource
  - GeojsonSource

## Index

### Constructors

- constructor

### Properties

- _map
- _source
- id
- type
- _cnt

### Methods

- addTo

## Constructors

### constructor

- new Source(type?: string): Source

- - Defined in Source.ts:14

  #### Parameters

  - ##### Optional type: string

  #### Returns Source

## Properties

### _map

_map: any

- Defined in Source.ts:14

### _source

_source: any

- Defined in Source.ts:13

### id

id: string

- Defined in Source.ts:11

### type

type: string

- Defined in Source.ts:12

### Static Private _cnt

_cnt: number

- Defined in Source.ts:10

## Methods

### addTo

- addTo(map: Map): Source

- - Defined in Source.ts:43

  #### Parameters

  - ##### map: Map

  #### Returns Source

Generated using TypeDoc